# CKEditor 3.0 JavaScript API Documentation

Code Index | File Index

## Namespaces

- CKEDITOR
- CKEDITOR.ajax
- CKEDITOR.config
- CKEDITOR.dom
- CKEDITOR.dtd
- CKEDITOR.env
- CKEDITOR.imageCacher
- CKEDITOR.loader
- CKEDITOR.plugins
- CKEDITOR.resourceManager
- CKEDITOR.scriptLoader
- CKEDITOR.skins
- CKEDITOR.test
- CKEDITOR.themes
- CKEDITOR.tools

## Classes

- CKEDITOR.commandDefinition
- CKEDITOR.dialog
- CKEDITOR.dialog.buttonDefinition
- CKEDITOR.dialog.contentDefinition
- CKEDITOR.dialog.contentDefinitionObject
- CKEDITOR.dialog.dialogDefinition
- CKEDITOR.dialog.dialogDefinitionObject
- CKEDITOR.dialog.uiElementDefinition
- CKEDITOR.dialogCommand
- CKEDITOR.dom.document
- CKEDITOR.dom.domObject
- CKEDITOR.dom.element
- CKEDITOR.dom.event
- CKEDITOR.dom.node
- CKEDITOR.dom.selection
- CKEDITOR.dom.text
- CKEDITOR.dom.window
- CKEDITOR.editor
- CKEDITOR.event
- CKEDITOR.eventInfo
- CKEDITOR.focusManager
- CKEDITOR.htmlParser
- CKEDITOR.htmlParser.cdata
- CKEDITOR.htmlParser.comment
- CKEDITOR.htmlParser.element
- CKEDITOR.htmlParser.fragment
- CKEDITOR.htmlParser.text
- CKEDITOR.htmlWriter
- CKEDITOR.keystrokeHandler
- CKEDITOR.pluginDefinition
- CKEDITOR.ui
- CKEDITOR.ui.button
- CKEDITOR.ui.dialog.button
- CKEDITOR.ui.dialog.checkbox
- CKEDITOR.ui.dialog.file
- CKEDITOR.ui.dialog.fileButton
- CKEDITOR.ui.dialog.hbox
- CKEDITOR.ui.dialog.html
- CKEDITOR.ui.dialog.labeledElement
- CKEDITOR.ui.dialog.radio
- CKEDITOR.ui.dialog.select
- CKEDITOR.ui.dialog.textarea
- CKEDITOR.ui.dialog.textInput
- CKEDITOR.ui.dialog.uiElement
- CKEDITOR.ui.dialog.vbox
- CKEDITOR.ui.handlerDefinition
- CKEDITOR.xml

# Namespace CKEDITOR.ajax

Ajax methods for data loading.
Defined in: core/ajax.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CKEDITOR.ajax Ajax methods for data loading.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | CKEDITOR.ajax.load(url, callback) Loads data from an URL as plain text.
<static> | CKEDITOR.ajax.loadXml(url, callback) Loads data from an URL as XML.

Namespace Detail
CKEDITOR.ajax
Since: 3.0
Ajax methods for data loading.
Method Detail
<static> {String} CKEDITOR.ajax.load(url, callback)
Since: 3.0
Loads data from an URL as plain text.

    // Load data synchronously.
    var data = CKEDITOR.ajax.load( 'somedata.txt' );
    alert( data );

    // Load data asynchronously.
    var data = CKEDITOR.ajax.load( 'somedata.txt', function( data )
        {
            alert( data );
        } );

Parameters:
{String} url
  The URL from which load data.
{Function} callback Optional
  A callback function to be called on data load. If not provided, the data will be loaded asynchronously, passing the data value the function on load.

Returns:
  {String} The loaded data. For asynchronous requests, an empty string. For invalid requests, null.

<static> {CKEDITOR.xml} CKEDITOR.ajax.loadXml(url, callback)
Since: 3.0
Loads data from an URL as XML.

    // Load XML synchronously.
    var xml = CKEDITOR.ajax.loadXml( 'somedata.xml' );
    alert( xml.getInnerXml( '//' ) );

    // Load XML asynchronously.
    var data = CKEDITOR.ajax.loadXml( 'somedata.xml', function( xml )
        {
            alert( xml.getInnerXml( '//' ) );
        } );

Parameters:
{String} url
  The URL from which load data.
{Function} callback Optional
  A callback function to be called on data load. If not provided, the data will be loaded asynchronously, passing the data value the function on load.

Returns:
  {CKEDITOR.xml} An XML object holding the loaded data. For asynchronous requests, an empty string. For invalid requests, null.

Copyright © 2003-2009, CKSource - Frederico Knabben. All rights reserved.